Error invoking SmartSVN Fedora 30

5 views
Skip to first unread message

Junio Souz

unread,
May 9, 2019, 3:09:46 PM5/9/19
to SmartSVN
[user@machine folder]$ sh smartsvn/bin/smartsvn.sh
Error invoking SmartSVN
java.lang.reflect.InvocationTargetException
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.base/java.lang.reflect.Method.invoke(Unknown Source)
at com.syntevo.QBootLoader.main(SourceFile:102)
Caused by: java.lang.UnsatisfiedLinkError: Could not load SWT library. Reasons:
Can't load library: /home/juniofernandes/.config/smartsvn/11/swt.tmp/libswt-pi3-gtk-4763.so
Can't load library: /home/juniofernandes/.config/smartsvn/11/swt.tmp/libswt-pi3-gtk.so
no swt-pi3-gtk-4763 in java.library.path: [/home/juniofernandes/.config/smartsvn/11/svn-tmp/9007, ., /usr/java/packages/lib, /usr/lib64, /lib64, /lib, /usr/lib]
no swt-pi3-gtk in java.library.path: [/home/juniofernandes/.config/smartsvn/11/svn-tmp/9007, ., /usr/java/packages/lib, /usr/lib64, /lib64, /lib, /usr/lib]
/home/juniofernandes/.config/smartsvn/11/swt.tmp/libswt-pi3-gtk-4763.so: /home/juniofernandes/.config/smartsvn/11/svn-tmp/9007/libz.so.1: version `ZLIB_1.2.9' not found (required by /lib64/libpng16.so.16)

at org.eclipse.swt.internal.Library.loadLibrary(Library.java:327)
at org.eclipse.swt.internal.Library.loadLibrary(Library.java:236)
at org.eclipse.swt.internal.gtk.OS.<clinit>(OS.java:58)
at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:124)
at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:80)
at org.eclipse.swt.widgets.Display.<clinit>(Display.java:140)
at smartsvn.hH.a(SourceFile:62)
at smartsvn.AM.a(SourceFile:101)
at com.syntevo.smartsvn.i.a(SourceFile:197)
at com.syntevo.smartsvn.i.a(SourceFile:177)
at smartsvn.Be.a(SourceFile:68)
at SmartSVN.main(SourceFile:11)
... 5 more

But I have newer:

[user@machine folder]$ sudo yum install zlib
Última verificação de data de vencimento de metadados: 0:13:23 atrás em qui 09 mai 2019 14:45:54 -03.
Package zlib-1.2.11-15.fc30.x86_64 is already installed.
Dependências resolvidas.
Nada para fazer.
Concluído!

SmartSVN Support

unread,
May 9, 2019, 3:10:54 PM5/9/19
to smar...@googlegroups.com
Please take a look at <https://www.syntevo.com/blog/?p=4702>.

--
Best regards,
Thomas Singer
syntevo GmbH
http://www.syntevo.com
> --
> You received this message because you are subscribed to the Google Groups
> "SmartSVN" group.
> To unsubscribe from this group and stop receiving emails from it, send an email to
> smartsvn+u...@googlegroups.com.
> To view this discussion on the web visit
> https://groups.google.com/d/msgid/smartsvn/71919ce1-d41e-4ab2-a026-5068a0a20c98%40googlegroups.com.
> For more options, visit https://groups.google.com/d/optout.
>

Junio Souz

unread,
May 13, 2019, 8:12:05 AM5/13/19
to SmartSVN
It works after sudo yum install libxcrypt-compat.
Tks!
Reply all
Reply to author
Forward
0 new messages